Bug 507773 - Review Request: python-daemon - Library to implement a well-behaved Unix daemon process
Review Request: python-daemon - Library to implement a well-behaved Unix daem...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 03:06 EDT by kushaldas@gmail.com
Modified: 2009-10-08 06:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-08 06:10:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2009-06-24 03:06:06 EDT
Spec URL: http://kushal.fedorapeople.org/packages/python-daemon.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-daemon-1.4.6-1.fc11.src.rpm
Description: This library implements the well-behaved daemon specification of PEP 3143, "Standard daemon process library".

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1433003
Comment 1 Parag AN(पराग) 2009-06-24 03:57:19 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1433042
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
874e40daa053644e2899f7def181a252087003e3  python-daemon-1.4.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

Suggestions:
1) I don't get why you need version_info_fix.patch. Better do same in spec as
sed -i -e "s|#!/usr/bin/env python||" daemon/version/version_info.py
2) Should use %global instead %define

APPROVED.
Comment 2 kushaldas@gmail.com 2009-06-24 04:45:53 EDT
New Package CVS Request
=======================
Package Name: python-daemon
Short Description:  Library to implement a well-behaved Unix daemon process
Owners: kushal
Branches: F-11
InitialCC: kushal
Comment 3 Kevin Fenzi 2009-06-24 14:20:24 EDT
cvs done.
Comment 4 Parag AN(पराग) 2009-07-01 02:21:36 EDT
is this built for requested branches?
Comment 5 Parag AN(पराग) 2009-07-06 11:54:29 EDT
ping?
Comment 6 Parag AN(पराग) 2009-07-10 05:01:00 EDT
ping?
Comment 7 Parag AN(पराग) 2009-07-15 12:17:54 EDT
ping?
Comment 8 Parag AN(पराग) 2009-07-23 02:20:17 EDT
ping?
Comment 9 Parag AN(पराग) 2009-10-08 06:10:29 EDT
Its enough wait from submitter (as he said he will close this) now.

CLOSED.

Note You need to log in before you can comment on or make changes to this bug.